<div class="card border-primary">
  <div class="card-body">
      <h5 class="card-title">Receive</h5>
      <!-- SEARCH -->
      <div>
          <form>
              <div class="row">
                <div class="col-md-3 mb-3">
                    <label for="brandCodeInput">PO No.</label>
                    <input style="width: 100%;" type="text" class="form-control" id="brandCodeInput" [(ngModel)]='searchTerm.receiveNumber'
                        name="searchCode" placeholder="Enter Po Number">
                </div>
                <div class="col-md-2 mb-2">
                    <label for="startDate">Start Date</label>
                    <div>
                        <input type="text" name="startDate"  ngbDatepicker #d1="ngbDatepicker"  [(ngModel)]="startDate" />
                        <button (click)="d1.toggle()">
                            <i class="fa fa-calendar"></i>
                        </button>
                    </div>
                </div>
                <div class="col-md-2 mb-2">
                    <label for="endDate">End Date</label>
                    <div>
                        <input type="text" name="endDate" ngbDatepicker #d2="ngbDatepicker"  [(ngModel)]="endDate" />
                        <button (click)="d2.toggle()">
                            <i class="fa fa-calendar"></i>
                        </button>
                    </div>
                </div>
                <div class="col-md-2 mb-2">
                    <label for="loookupDesctiptionInput">Status</label>
                    <select [(ngModel)]="statusSelected" class="form-control"
                        [ngModelOptions]="{standalone: true}">
                        <option *ngFor="let listStatus of listStatuses" [value]="listStatus.id">
                            {{listStatus.name}}
                        </option>
                    </select>
                </div>

                  <!-- <div class="col-md-3 mb-3">
                      <label for="brandCodeInput">Code</label>
                      <input type="text" class="form-control" id="brandCodeInput" [(ngModel)]='searchTerm.code'
                          name="searchCode" placeholder="Enter Code">
                  </div>
                  <div class="col-md-3 mb-3">
                      <label for="brandNameInput">Name</label>
                      <input type="text" class="form-control" id="brandNameInput" [(ngModel)]='searchTerm.name'
                          name="searchName" placeholder="Enter Name">
                  </div>
                  <div class="col-md-3 mb-3">
                      <label for="loookupDesctiptionInput">Description</label>
                      <input type="text" class="form-control" id="loookupDesctiptionInput"
                          [(ngModel)]='searchTerm.description' name="searchDescription"
                          placeholder="Enter Description">
                  </div> -->
              </div>
              <div class="btn-group" role="group">
                  <button type="button" (click)="onFilter()" class="btn mr-2 btn-outline-success btn-sm">Search <i
                          class="fa fa-search fa-lg"></i></button>
                <button type="button" (click)="onExport()" class="btn mr-2 btn-outline-warning btn-sm">Export Excel <i
                    class="fa fa-search fa-lg"></i></button>    
                  <button type="button" (click)="resetFilter()" class="btn mr-2 btn-outline-danger btn-sm">Reset <i
                          class="fa fa-refresh fa-lg"></i></button>
                  <button type="button" class="btn btn-outline-primary btn-sm" (click)="addNew()">Addnew
                      <i class="fa fa-plus-circle fa-lg"></i></button>
              </div>

          </form>
      </div
      >
      <br>
      <div style="height:400px; padding: 15px 15px 15px 15px; ">
          <table class="table table-sm table-hover table-striped">
              <thead>
                  <tr>
                      <th></th>
                      <th scope="col">Receive No</th>
                      <th scope="col" class='centerText' >Date</th>
                      <th scope="col">Customer</th>
                      <th scope="col" class='centerText' >Status</th>
                      <th scope="col" class='rightText' >Total</th>
                  </tr>
              </thead>
              <tbody>
                  <tr *ngFor="let receive of receivings">
                      <td>
                          <button type="button" (click)="open(receive)" class="btn btn-outline-warning btn-sm">
                              <i class="fa fa-list fa-lg"></i>
                          </button>
                      </td>
                      <td>{{receive.receiveNo}}</td>
                      <td class='centerText' >{{receive.receiveDate | date:'dd-MMM-yyyy'}}</td>
                      <td>{{receive.supplier.name }}</td>
                      <td class='centerText' >{{getStatus(receive.status)}} </td>
                      <td class='rightText'>{{receive.grandTotal | number:'0.0-0' }}</td>
                  </tr>
              </tbody>
          </table>
      </div>
      <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
          (pageChange)="loadPage()" [boundaryLinks]="true">
      </ngb-pagination>
  </div>

</div>